Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class EntityItemFrame

    java.lang.Object
      net.minecraft.src.Entity
          net.minecraft.src.EntityHanging
              net.minecraft.src.EntityItemFrame

    public class EntityItemFrame

extends EntityHanging

Field Summary

Fields inherited from class net.minecraft.src.EntityHanging
`field_82332_a, xPosition, yPosition, zPosition`

Fields inherited from class net.minecraft.src.Entity
`addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

Constructor Summary
`EntityItemFrame(World par1World)`
`EntityItemFrame(World par1World, int par2, int par3, int par4, int par5)`

Method Summary
`int` | `func_82329_d()`
`int` | `func_82330_g()`
`void` | `func_82331_h()`
`int` | `func_82333_j()`
`void` | `func_82334_a(ItemStack par1ItemStack)`
`ItemStack` | `func_82335_i()`
`void` | `func_82336_g(int par1)`
`boolean` | `interact(EntityPlayer par1EntityPlayer)` Called when a player interacts with a mob.
`boolean` | `isInRangeToRenderDist(double par1)`
`void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to read subclass entity data from NBT.
`void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to write subclass entity data to NBT.

Methods inherited from class net.minecraft.src.EntityHanging
`addVelocity, attackEntityFrom, canBeCollidedWith, func_82328_a, moveEntity, onUpdate, onValidSurface`

Methods inherited from class net.minecraft.src.Entity
`addEntityID, addToPlayerScore, applyEntityCollision, canAttackWithItem, canBePushed, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_70062_b, func_70079_am, func_82141_a, func_82142_c, func_82143_as, func_82144_au, func_82145_z, func_82146_a, func_82147_ab, func_82148_at, func_82149_j, func_82150_aj, generatePersistentID, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getEyeHeight, getLastActiveItems, getLookVec, getMountedYOffset, getParts, getPersistentID, getPickedResult, getShadowSize, getTexture, getYOffset, handleHealthUpdate, handleLavaMovement, handleWaterMovement, hashCode, isBurning, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isImmuneToFire, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveFlying, onCollideWithPlayer, onEntityUpdate, onKillEntity, onStruckByLightning, performHurtAnimation, readFromNBT, setAir, setAngles, setDead, setEating, setFire, setHeadRotationYaw, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setPositionAndRotation2, setSneaking, setSprinting, setVelocity, setWorld, shouldRiderSit, toString, travelToTheEnd, unmountEntity, updateCloak, updateRidden, updateRiderPosition, writeToNBT`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityItemFrame

    public EntityItemFrame(World par1World)

### EntityItemFrame

    public EntityItemFrame(World par1World,
                           int par2,
                           int par3,
                           int par4,
                           int par5)

Method Detail

### func_82329_d

    public int func_82329_d()

  Specified by:
    `func_82329_d` in class `EntityHanging`

### func_82330_g

    public int func_82330_g()

  Specified by:
    `func_82330_g` in class `EntityHanging`

### isInRangeToRenderDist

    public boolean isInRangeToRenderDist(double par1)

  Overrides:
    `isInRangeToRenderDist` in class `Entity`

### func_82331_h

    public void func_82331_h()

  Specified by:
    `func_82331_h` in class `EntityHanging`

### func_82335_i

    public ItemStack func_82335_i()

### func_82334_a

    public void func_82334_a(ItemStack par1ItemStack)

### func_82333_j

    public int func_82333_j()

### func_82336_g

    public void func_82336_g(int par1)

### writeEntityToNBT

    public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to write subclass entity data to NBT.

  Overrides:
    `writeEntityToNBT` in class `EntityHanging`

### readEntityFromNBT

    public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to read subclass entity data from NBT.

  Overrides:
    `readEntityFromNBT` in class `EntityHanging`

### interact

    public boolean interact(EntityPlayer par1EntityPlayer)

  Called when a player interacts with a mob. e.g. gets milk from a cow, gets into the saddle on a pig.

  Overrides:
    `interact` in class `Entity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD